com.amazon.redshift:redshift-jdbc42 vulnerabilities

Java JDBC 4.2 (JRE 8+) driver for Redshift database

Direct Vulnerabilities

Known vulnerabilities in the com.amazon.redshift:redshift-jdbc42 package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • H
Use of Function with Inconsistent Implementations

(,2.1.0.8)

Package versions

1 - 14 of 14 Results
version published direct vulnerabilities
2.1.0.9 1 Jul, 2022
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.1.0.8 9 Jun, 2022
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.1.0.7 5 May, 2022
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.1.0.6 14 Apr, 2022
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.1.0.5 12 Mar, 2022
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.1.0.4 30 Jan, 2022
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.1.0.3 3 Dec, 2021
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.1.0.2 10 Nov, 2021
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.1.0.1 4 Sep, 2021
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.0.0.7 23 Jul, 2021
  • 0
    C
  • 1
    H
  • 0
    M
  • 0
    L
2.0.0.6 29 Jun, 2021
  • 0
    C
  • 1
    H
  • 0
    M
  • 0
    L
2.0.0.5 8 Jun, 2021
  • 0
    C
  • 1
    H
  • 0
    M
  • 0
    L
2.0.0.4 28 Mar, 2021
  • 0
    C
  • 1
    H
  • 0
    M
  • 0
    L
2.0.0.3 8 Mar, 2021
  • 0
    C
  • 1
    H
  • 0
    M
  • 0
    L